### Method

# Secret Service load_collections_sync

#### Declaration [src]

    gboolean
    secret_service_load_collections_sync (
      SecretService* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Ensure that the `SecretService` proxy has loaded all the collections present in the Secret Service.

This affects the result of `secret_service_get_collections()`.

You can also pass the `SECRET_SERVICE_LOAD_COLLECTIONS` to `secret_service_get_sync()` in order to ensure that the collections have been loaded by the time you get the `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the load was successful or not.